﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Autodesk.Navisworks.Api;
using Autodesk.Navisworks.Api.Plugins;

namespace DemoRibbon
{
    //名字
    [Plugin("DemoRibbon", "ADSK")]

    //布局文件
    [RibbonLayout("DemoRibbon.xaml")]

    //name文件。
    //[Strings("DemoRibbon.name")]

    //tab
    [RibbonTab("ID_CustomTab_1",
               DisplayName = "Custom Tab 1")]

    //command- button按钮
    [Command("ID_Button_1",
            Icon = "One_16.ico", LargeIcon = "One_32.ico",
                CanToggle = true,
                DisplayName = "Button 1")]
    public class Class1:CommandHandlerPlugin 
    {
        public override int ExecuteCommand(string name, params string[] parameters)
        {
            switch (name)
            {
                case "ID_Button_1":
                    System.Windows.Forms.MessageBox.Show("按钮1执行！");
                    break;
            }
            return 0;
            //throw new NotImplementedException();
        }

        public override CommandState CanExecuteCommand(string name)
        {
            CommandState state = new CommandState();
            switch (name)
            {
                case "ID_Button_1":
                    state.IsEnabled = true;
                    state.IsVisible = true;
                    break;
            }

            return state;

            //return base.CanExecuteCommand(name);
        }

        public override bool CanExecuteRibbonTab(string name)
        {
            return true;
            //return base.CanExecuteRibbonTab(name);
        }
    }
}
